import type { SidebarsConfig } from "@docusaurus/plugin-content-docs";

import analyticsdataPlaneItems from "./docs/apis/analytics-data-plane/sidebar";
import controlPlaneItems from "./docs/apis/control-plane/sidebar";
import httpdataPlaneItems from "./docs/apis/http-data-plane/sidebar";
import ssoBridgeItems from "./docs/apis/sso-bridge/sidebar";
import walletItems from "./docs/apis/wallet/sidebar";

const sidebars: SidebarsConfig = {
  tutorialSidebar: [
    "README",
    { type: "autogenerated", dirName: "apps" },
    { type: "autogenerated", dirName: "deployment" },
    {
      type: "category",
      label: "Tools",
      link: { type: "doc", id: "tools/tools" },
      items: [{ type: "autogenerated", dirName: "tools/cli" }]
    }
  ],
  controlPlaneSidebar: [
    { type: "category", items: controlPlaneItems, label: "Control Plane" }
  ],
  httpDataPlaneSidebar: [
    { type: "category", items: httpdataPlaneItems, label: "HTTP Data Plane" }
  ],
  analyticsdataPlaneSidebar: [
    { type: "category", items: analyticsdataPlaneItems, label: "Analytics Data Plane" }
  ],
  ssoBridgeSidebar: [{ type: "category", items: ssoBridgeItems, label: "SSO Bridge" },],
  walletSidebar: [{ type: "category", items: walletItems, label: "Wallet" }]
};

export default sidebars;
